osgDB::ParameterOutput Class Reference

`#include <ParameterOutput>`

## Public Member Functions

| ParameterOutput (Output &fw)
| ParameterOutput (Output &fw, int numItemsPerLine)
void | begin ()
void | newLine ()
void | end ()
template<class T>
void | write (const T &t)
template<class Iterator>
void | write (Iterator first, Iterator last)
template<class Iterator>
void | writeAsInts (Iterator first, Iterator last)

## Protected Member Functions

ParameterOutput & | operator= (const ParameterOutput &)

## Protected Attributes

Output & | _fw
int | _numItemsPerLine
int | _column

## Constructor & Destructor Documentation

## ParameterOutput() [1/2]

osgDB::ParameterOutput::ParameterOutput | ( | Output & | fw | ) |

inline

References _column, _fw, and _numItemsPerLine.

Referenced by operator=().

## ParameterOutput() [2/2]

osgDB::ParameterOutput::ParameterOutput | ( | Output & | fw,
|  | int | numItemsPerLine )

inline

References _column, _fw, and _numItemsPerLine.

## Member Function Documentation

## begin()

void osgDB::ParameterOutput::begin | ( |  | ) |

inline

References _fw.

## end()

void osgDB::ParameterOutput::end | ( |  | ) |

inline

References _column, and _fw.

## newLine()

void osgDB::ParameterOutput::newLine | ( |  | ) |

inline

References _column, and _fw.

## operator=()

ParameterOutput & osgDB::ParameterOutput::operator= | ( | const ParameterOutput & |  | ) |

inline protected

References ParameterOutput().

## write() [1/2]

template<class T>

void osgDB::ParameterOutput::write | ( | const T & | t | ) |

inline

References _column, _fw, and _numItemsPerLine.

Referenced by write(), and writeAsInts().

## write() [2/2]

template<class Iterator>

void osgDB::ParameterOutput::write | ( | Iterator | first,
|  | Iterator | last )

inline

References write().

## writeAsInts()

template<class Iterator>

void osgDB::ParameterOutput::writeAsInts | ( | Iterator | first,
|  | Iterator | last )

inline

References write().

## Member Data Documentation

## _column

int osgDB::ParameterOutput::_column

protected

Referenced by end(), newLine(), ParameterOutput(), ParameterOutput(), and write().

## _fw

Output& osgDB::ParameterOutput::_fw

protected

Referenced by begin(), end(), newLine(), ParameterOutput(), ParameterOutput(), and write().

## _numItemsPerLine

int osgDB::ParameterOutput::_numItemsPerLine

protected

Referenced by ParameterOutput(), ParameterOutput(), and write().

The documentation for this class was generated from the following file:

- ParameterOutput